"""Peewee migrations -- 029_MAIN.py.
"""
import peewee as pw
from peewee_migrate import Migrator

try:
    import playhouse.postgres_ext as pw_pext
except ImportError:
    pass

SQL = pw.SQL


def migrate(migrator: Migrator, database, fake=False, **kwargs):
    migrator.rename_field('batch', 'production_end', 'production_end_t')


def rollback(migrator: Migrator, database, fake=False, **kwargs):
    migrator.rename_field('batch', 'production_end_t', 'production_end')
